### Method

# Ide ConfigManager get_current

#### Declaration

    IdeConfig*
    ide_config_manager_get_current (
      IdeConfigManager* self
    )

#### Description

Gets the current configuration to use for building.

Many systems allow you to pass a configuration in instead of relying on the default configuration. This gets the default configuration that various background items might use, such as tags builders which need to discover settings.

Available since: | 3.32

Gets property | `Ide.ConfigManager:current`

#### Return value

Returns: | `IdeConfig`
| An `IdeConfig`.
| The data is owned by the instance.